## org.mortbay.jetty.handler
Class AbstractHandler

    java.lang.Object
      org.mortbay.component.AbstractLifeCycle
          org.mortbay.jetty.handler.AbstractHandler

All Implemented Interfaces:
  LifeCycle, Handler

Direct Known Subclasses:
  AbstractHandlerContainer, DefaultHandler, ErrorHandler, ManyContexts.HelloHandler, ManyHandlers.HelloHandler, ManyHandlers.ParamHandler, OneContext.HelloHandler, OneHandler.HelloHandler, ResourceHandler, ServletHandler

    public abstract class AbstractHandler

extends AbstractLifeCycle
implements Handler

AbstractHandler.

Author:
  gregw

Nested Class Summary

Nested classes/interfaces inherited from interface org.mortbay.component.LifeCycle
`LifeCycle.Listener`

Field Summary
`protected java.lang.String` `_string`

Fields inherited from class org.mortbay.component.AbstractLifeCycle
`_listeners`

Fields inherited from interface org.mortbay.jetty.Handler
`ALL, DEFAULT, ERROR, FORWARD, INCLUDE, REQUEST`

Constructor Summary
`AbstractHandler()`

Method Summary
`void` `destroy()`
`protected void` `doStart()`
`protected void` `doStop()`
`Server` `getServer()`
`void` `setServer(Server server)`
`java.lang.String` `toString()`

Methods inherited from class org.mortbay.component.AbstractLifeCycle
`addLifeCycleListener, isFailed, isRunning, isStarted, isStarting, isStopped, isStopping, removeLifeCycleListener, start, stop`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.mortbay.jetty.Handler
`handle`

Methods inherited from interface org.mortbay.component.LifeCycle
`addLifeCycleListener, isFailed, isRunning, isStarted, isStarting, isStopped, isStopping, removeLifeCycleListener, start, stop`

Field Detail

### _string

    protected java.lang.String _string

Constructor Detail

### AbstractHandler

    public AbstractHandler()

Method Detail

### doStart

    protected void doStart()
                    throws java.lang.Exception

  Overrides:
    `doStart` in class `AbstractLifeCycle`
  Throws:
    `java.lang.Exception`

### doStop

    protected void doStop()
                   throws java.lang.Exception

  Overrides:
    `doStop` in class `AbstractLifeCycle`
  Throws:
    `java.lang.Exception`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### setServer

    public void setServer(Server server)

  Specified by:
    `setServer` in interface `Handler`

### getServer

    public Server getServer()

  Specified by:
    `getServer` in interface `Handler`

### destroy

    public void destroy()

  Specified by:
    `destroy` in interface `Handler`

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.